Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.trans
Class DecimalSymbols

    java.lang.Object
      net.sf.saxon.trans.DecimalSymbols

All Implemented Interfaces:
  java.io.Serializable

public class DecimalSymbols
extends java.lang.Object
implements java.io.Serializable

This class is modelled on Java's DecimalFormatSymbols, but it allows the use of any Unicode character to represent symbols such as the decimal point and the grouping separator, whereas DecimalFormatSymbols restricts these to a char (1-65535). Since this is essentially a data structure with no behaviour, we don't bother with getter and setter methods but just expose the fields

See Also:
  Serialized Form

Field Summary
`int` | `decimalSeparator`
`int` | `digit`
`int` | `groupingSeparator`
`java.lang.String` | `infinity`
`int` | `minusSign`
`java.lang.String` | `NaN`
`int` | `patternSeparator`
`int` | `percent`
`int` | `permill`
`int` | `zeroDigit`

Constructor Summary
`DecimalSymbols()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### decimalSeparator

    public int decimalSeparator

### groupingSeparator

    public int groupingSeparator

### digit

    public int digit

### minusSign

    public int minusSign

### percent

    public int percent

### permill

    public int permill

### zeroDigit

    public int zeroDigit

### patternSeparator

    public int patternSeparator

### infinity

    public java.lang.String infinity

### NaN

    public java.lang.String NaN

Constructor Detail

### DecimalSymbols

    public DecimalSymbols()

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD